org.eclipse.actf.model.dom.dombycom

## Interface IDocumentEx

All Superinterfaces:
  Document, Node

    public interface IDocumentEx
    extends Document

The extended interface of the `Document`.

### Field Summary

Fields
`static String` `BACK_COMPAT` Back compatible mode (IE)
`static String` `CSS1_COMPAT` CSS compatible mode (IE)

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

Methods
`String` `getCompatMode()`
`List<Node>` `getElementsByIdInAllFrames(String id)` getElementById will return a node, but actual content sometimes has more than one objects having save ID and it can't search in the document of iframes in the top document.
`IStyleSheets` `getStyleSheets()`
`Element` `getTargetElement(String target)`

### Methods inherited from interface org.w3c.dom.Document

`adoptNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, getDoctype, getDocumentElement, getDocumentURI, getDomConfig, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, getInputEncoding, getStrictErrorChecking, getXmlEncoding, getXmlStandalone, getXmlVersion, importNode, normalizeDocument, renameNode, setDocumentURI, setStrictErrorChecking, setXmlStandalone, setXmlVersion`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Field Detail

#### CSS1_COMPAT

    static final String CSS1_COMPAT

CSS compatible mode (IE)

See Also:
  Constant Field Values

#### BACK_COMPAT

    static final String BACK_COMPAT

Back compatible mode (IE)

See Also:
  Constant Field Values

### Method Detail

#### getElementsByIdInAllFrames

    List<Node> getElementsByIdInAllFrames(String id)

getElementById will return a node, but actual content sometimes has more than one objects having save ID and it can't search in the document of iframes in the top document.

Parameters:
  `id` - to be used for the search
Returns:
  the objects which has id as its id attribute.

#### getCompatMode

    String getCompatMode()

Returns:
  the CSS compatible mode (IE)

#### getTargetElement

    Element getTargetElement(String target)

Parameters:
  `target` - the anchor name to be searched.
Returns:
  the first element whose name is target.

#### getStyleSheets

    IStyleSheets getStyleSheets()

Returns:
  the `IStyleSheets` of the document.